Bug 530114 (CVE-2009-3885) - CVE-2009-3885 OpenJDK BMP parsing DoS with UNC ICC links (6632445)
Summary: CVE-2009-3885 OpenJDK BMP parsing DoS with UNC ICC links (6632445)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3885
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 530367 530368 532004 532005
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 15:45 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 22:54:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sun Bug Database 6632445 None None None Never

Comment 3 Mark J. Cox 2009-11-04 09:28:46 UTC
"DoS from parsing BMPs with UNC ICC links" 

Interpretation after code inspection:
This patch is dead code on non-windows platforms, and only introduces a 
ifnotwin() {dopreviousbehavior}. Therefore, this patch could be skipped.

Comment 4 Vincent Danen 2015-08-21 22:54:19 UTC
This was fixed via https://rhn.redhat.com/errata/RHSA-2009-1560.html


Note You need to log in before you can comment on or make changes to this bug.